Skip to main content
PUT
/
api
/
v1
/
files
Update file content
curl --request PUT \
  --url https://neo.api.projectdiscovery.io/api/v1/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'file_key=<string>' \
  --form 'chat_id=<string>'
{
  "embedded": true,
  "embedding": {
    "method": "<string>",
    "total_chunks": 123,
    "vector_id": "<string>",
    "vector_ids": [
      "<string>"
    ]
  },
  "error": "<string>",
  "file_url": "<string>",
  "key": "<string>",
  "size": 123,
  "success": true,
  "url_expire_in_seconds": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Query Parameters

project_id
string<uuid>

Optional project ID for project-scoped sandbox files

Body

multipart/form-data
file
file
required
file_key
string
required

Required file key to replace

chat_id
string

Response

File updated

embedded
boolean

Whether the file was embedded for semantic search

embedding
object
error
string
file_url
string

Signed URL to access the file

key
string

File key for operations (delete, move, patch, replace)

size
integer

File size in bytes

success
boolean
url_expire_in_seconds
integer